#include<iostream>
using namespace std;
long long br(long long a, long long b, long long c)
{
    long long broj=0,j=1,k=1;
    for(long long i=1; i<=b; i*=10) j*=10;
    for(long long i=1; i<=c; i*=10) k*=10;
    broj=a*j*k+b*k+c;
    return broj;
}
int main()
{
    long long int a,b,c,maxbr=0;
    cin>>a>>b>>c;
    if(br(a,b,c)>maxbr) maxbr=br(a,b,c);
    if(br(a,c,b)>maxbr) maxbr=br(a,c,b);
    if(br(b,a,c)>maxbr) maxbr=br(b,a,c);
    if(br(b,c,a)>maxbr) maxbr=br(b,c,a);
    if(br(c,a,b)>maxbr) maxbr=br(c,a,b);
    if(br(c,b,a)>maxbr) maxbr=br(c,b,a);
    cout<<maxbr<<endl;
}